Loading...
Searching...
No Matches
Logging Interface

Generic logging interface. More...

## Files

file | su_debug.h
| SU debugging macros.
file | su_log.h
| SU logging interface.

## Variables

su_log_t | su_log_global []
| Debugging log for su module.
char const | SU_DEBUG []
| Environment variable determining the debug log level for su module.

## Detailed Description

Generic logging interface.

The su_log submodule contains a generic logging interface. The interface provides means for redirecting the log and filtering log messages based on message priority.

See also
  Debugging Logs, <sofia-sip/su_log.h>, su_llog(), su_vllog(), su_log_t, SU_DEBUG, SU_DEBUG_0(), SU_DEBUG_1(), SU_DEBUG_2(), SU_DEBUG_3(), SU_DEBUG_5(), SU_DEBUG_7(), SU_DEBUG_9()

## Variable Documentation

## SU_DEBUG

char const SU_DEBUG[]

extern

Environment variable determining the debug log level for su module.

The SU_DEBUG environment variable is used to determine the debug logging level for su module. The default level is 3.

See also
  <sofia-sip/su_debug.h>, su_log_global

## su_log_global

su_log_t su_log_global[]

extern

Debugging log for su module.

Debugging log for su module.

The su_log_global is the log object used by su module. The level of su_log_global is set using SU_DEBUG environment variable.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.